/* 
 * ****************************************************************************
 * RP6 ROBOT SYSTEM - ROBOT BASE EXAMPLES
 * ****************************************************************************
 * Example: Program template
 * Author(s): 
 * ****************************************************************************
 * Description:
 * You can use this Program template as a starting point for your own Projects!
 *   
 * Do not forget to copy the RP6Lib Files into the RP6Lib directory!
 * Otherwise compilation will not work.
 * If you rename this File - also change the TARGET = program_01 line in the
 * makefile!!!   
 * ****************************************************************************
 */

/*****************************************************************************/
// Includes:

#include "RP6RobotBaseLib.h" 

/*****************************************************************************/

int main(void)
{
	initRobotBase(); 

	writeString_P("\n\n   _______________________\n");
	writeString_P("   \\| RP6  ROBOT SYSTEM |/\n");
	writeString_P("    \\_-_-_-_-_-_-_-_-_-_/\n\n");

	setLEDs(0b111111);

	mSleep(1000); 
	setLEDs(0b000000); 
	mSleep(500); 

	uint8_t runningLight = 1; 
	
	while(true)
	{
		setLEDs(runningLight); 
		runningLight <<= 1; 
		if(runningLight > 32)
			runningLight = 1; 	
		mSleep(100);
	}
	return 0; 
}
